<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MmwDemo_timingInfo Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MmwDemo_timingInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Timing information.  
 <a href="struct_mmw_demo__timing_info.html#details">More...</a></p>

<p><code>#include &lt;/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/data_path.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a7912f83a57776b9012d2a60e20e59bdd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7912f83a57776b9012d2a60e20e59bdd"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__timing_info.html#a7912f83a57776b9012d2a60e20e59bdd">interFrameProcCycles</a></td></tr>
<tr class="memdesc:a7912f83a57776b9012d2a60e20e59bdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of processor cycles between frames excluding processing time to transmit output on UART <br /></td></tr>
<tr class="separator:a7912f83a57776b9012d2a60e20e59bdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae844cb7d8eac28207d103c07dc5fbc8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae844cb7d8eac28207d103c07dc5fbc8f"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__timing_info.html#ae844cb7d8eac28207d103c07dc5fbc8f">transmitOutputCycles</a></td></tr>
<tr class="memdesc:ae844cb7d8eac28207d103c07dc5fbc8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of processor cycles to transmit detected object information on the output UART port, which is not presently back-grounded. <br /></td></tr>
<tr class="separator:ae844cb7d8eac28207d103c07dc5fbc8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22109cbb958d33dc6503a7a773d79a2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22109cbb958d33dc6503a7a773d79a2e"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__timing_info.html#a22109cbb958d33dc6503a7a773d79a2e">interFrameProcessingEndTime</a></td></tr>
<tr class="memdesc:a22109cbb958d33dc6503a7a773d79a2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inter frame processing end time. <br /></td></tr>
<tr class="separator:a22109cbb958d33dc6503a7a773d79a2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9c23b07e2784ea8129cec289a6a6e90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9c23b07e2784ea8129cec289a6a6e90"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__timing_info.html#ae9c23b07e2784ea8129cec289a6a6e90">interFrameProcessingEndMargin</a></td></tr>
<tr class="memdesc:ae9c23b07e2784ea8129cec289a6a6e90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inter frame processing end margin in number of cycles before due time to start processing first chirp of the next frame. <br /></td></tr>
<tr class="separator:ae9c23b07e2784ea8129cec289a6a6e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affdf1c65458d73698b97fc753db56375"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="affdf1c65458d73698b97fc753db56375"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__timing_info.html#affdf1c65458d73698b97fc753db56375">activeFrameCPULoad</a></td></tr>
<tr class="memdesc:affdf1c65458d73698b97fc753db56375"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Load during active frame period - i.e. chirping. <br /></td></tr>
<tr class="separator:affdf1c65458d73698b97fc753db56375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0c1af9fc99f5ff487d1529f7b499d1a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0c1af9fc99f5ff487d1529f7b499d1a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__timing_info.html#af0c1af9fc99f5ff487d1529f7b499d1a">interFrameCPULoad</a></td></tr>
<tr class="memdesc:af0c1af9fc99f5ff487d1529f7b499d1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Load during inter frame period - i.e. after chirps are done and before next frame starts. <br /></td></tr>
<tr class="separator:af0c1af9fc99f5ff487d1529f7b499d1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Timing information. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/<a class="el" href="data__path_8h.html">data_path.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
